Package com.usatiuk.dhfs.rpc

# Class RemoteObjectServiceServerImpl

java.lang.Object
com.usatiuk.dhfs.rpc.RemoteObjectServiceServerImpl

@ApplicationScoped public class RemoteObjectServiceServerImpl extends Object

## Constructor Summary

Constructors
Constructor
Description
`RemoteObjectServiceServerImpl()`

## Method Summary

Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<CanDeleteReply>`
`canDelete(PeerId from, CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
`getObject(PeerId from, GetObjectRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
`opPush(PeerId from, OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
`ping(PeerId from, PingRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteObjectServiceServerImpl

public RemoteObjectServiceServerImpl()

## Method Details

### getObject

public io.smallrye.mutiny.Uni<GetObjectReply> getObject(PeerId from, GetObjectRequest request)

### canDelete

public io.smallrye.mutiny.Uni<CanDeleteReply> canDelete(PeerId from, CanDeleteRequest request)

### opPush

public io.smallrye.mutiny.Uni<OpPushReply> opPush(PeerId from, OpPushRequest request)

### ping

public io.smallrye.mutiny.Uni<PingReply> ping(PeerId from, PingRequest request)